Name:           glew
Version:        1.5.8
Release:        1
Summary:        The OpenGL Extension Wrangler Library
Group:          System Environment/Libraries
License:        BSD and MIT
URL:            http://glew.sourceforge.net
Source0:	http://downloads.sourceforge.net/project/glew/glew/%{version}/%{name}-%{version}.tgz
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	make, coreutils

%description
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library. GLEW provides efficient run-time mechanisms for
determining which OpenGL extensions are supported on the target platform.
OpenGL core and extension functionality is exposed in a single header file.
GLEW is available for a variety of operating systems, including AIX, Windows,
Linux, Mac OS X, FreeBSD, Irix, and Solaris.


%package devel
Summary:        Development files for %{name} 
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for %{name}.


%prep
%setup -q
%patch0


%build
# first create the 64-bit library
export OBJECT_MODE=64
mkdir -p lib
gmake %{?_smp_mflags} lib/libGLEW.a
# create shared object
CreateExportList -X64 %{name}.exp lib/libGLEW.a
${CC} -qmkshrobj lib/libGLEW.a -o shr64.o -bE:%{name}.exp -bernotok -lGL
rm -f %{name}.exp

rm -rf lib
gmake clean

# now create the 32-bit library
export OBJECT_MODE=32
mkdir -p lib
gmake %{?_smp_mflags} lib/libGLEW.a
# create shared object
CreateExportList -X32 %{name}.exp lib/libGLEW.a
${CC} -qmkshrobj lib/libGLEW.a -o shr32.o -bE:%{name}.exp -bernotok -lGL
rm -f %{name}.exp

# create shared library
/usr/bin/rm -f lib/libGLEW.a
/usr/bin/ar -X32 -rv lib/libGLEW.a shr32.o
/usr/bin/ar -X64 -q  lib/libGLEW.a shr64.o

# finish build step
gmake %{?_smp_mflags} \
    GLEW_DEST=%{_prefix} \
    LIBDIR=%{_libdir} BINDIR=%{_bindir} INCDIR=%{_includedir}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export PATH=/opt/freeware/bin:$PATH

gmake install \
    GLEW_DEST=${RPM_BUILD_ROOT} \
    LIBDIR=${RPM_BUILD_ROOT}%{_libdir} \
    BINDIR=${RPM_BUILD_ROOT}%{_bindir} \
    INCDIR=${RPM_BUILD_ROOT}%{_includedir}/GL

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc LICENSE.txt
%{_bindir}/*
%{_libdir}/*.a
/usr/bin/*
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%doc doc/*
%{_includedir}/GL/*.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Feb 16 2011 Michael Perzl <michael@perzl.org> - 1.5.8-1
- first version for AIX V5.1 and higher
